Loading...
Searching...
No Matches
pappso::TimsDdaPrecursors::SpectrumDescr Struct Reference

`#include <timsddaprecursors.h>`

## Public Attributes

std::size_t | parent_frame = 0
std::size_t | precursor_id = 0
std::size_t | scan_mobility_start = 0
std::size_t | scan_mobility_end = 0
std::size_t | ms1_index = 0
std::size_t | ms2_index = 0
double | isolationMz = 0
double | isolationWidth = 0
float | collisionEnergy = 0
std::vector< std::size_t > | tims_frame_list
PrecursorIonData | precursor_ion_data

## Detailed Description

Definition at line 62 of file timsddaprecursors.h.

## Member Data Documentation

## collisionEnergy

float pappso::TimsDdaPrecursors::SpectrumDescr::collisionEnergy = 0

Definition at line 72 of file timsddaprecursors.h.

Referenced by pappso::TimsDdaPrecursors::fillSpectrumDescriptionWithSqlRecord(), pappso::TimsDdaPrecursors::getQualifiedMs2MassSpectrumBySpectrumDescr(), pappso::TimsDdaPrecursors::getSpectrumDescrListByFrameId(), pappso::TimsDdaPrecursors::getSpectrumDescrWithPrecursorId(), pappso::TimsDdaPrecursors::getSpectrumDescrWithScanCoordinates(), pappso::TimsDdaPrecursors::ms2ReaderSpectrumCollectionByMsLevel(), and pappso::TimsDdaPrecursors::rawReaderSpectrumCollectionByMsLevel().

## isolationMz

double pappso::TimsDdaPrecursors::SpectrumDescr::isolationMz = 0

Definition at line 70 of file timsddaprecursors.h.

Referenced by pappso::TimsDdaPrecursors::fillSpectrumDescriptionWithSqlRecord(), pappso::TimsDdaPrecursors::getQualifiedMs2MassSpectrumBySpectrumDescr(), pappso::TimsDdaPrecursors::getSpectrumDescrListByFrameId(), pappso::TimsDdaPrecursors::getSpectrumDescrWithPrecursorId(), pappso::TimsDdaPrecursors::getSpectrumDescrWithScanCoordinates(), pappso::TimsDdaPrecursors::ms2ReaderSpectrumCollectionByMsLevel(), and pappso::TimsDdaPrecursors::rawReaderSpectrumCollectionByMsLevel().

## isolationWidth

double pappso::TimsDdaPrecursors::SpectrumDescr::isolationWidth = 0

Definition at line 71 of file timsddaprecursors.h.

Referenced by pappso::TimsDdaPrecursors::fillSpectrumDescriptionWithSqlRecord(), pappso::TimsDdaPrecursors::getQualifiedMs2MassSpectrumBySpectrumDescr(), pappso::TimsDdaPrecursors::getSpectrumDescrListByFrameId(), pappso::TimsDdaPrecursors::getSpectrumDescrWithPrecursorId(), pappso::TimsDdaPrecursors::getSpectrumDescrWithScanCoordinates(), pappso::TimsDdaPrecursors::ms2ReaderSpectrumCollectionByMsLevel(), and pappso::TimsDdaPrecursors::rawReaderSpectrumCollectionByMsLevel().

## ms1_index

std::size_t pappso::TimsDdaPrecursors::SpectrumDescr::ms1_index = 0

Definition at line 68 of file timsddaprecursors.h.

Referenced by pappso::TimsDdaPrecursors::fillSpectrumDescriptionWithSqlRecord(), pappso::TimsDdaPrecursors::getQualifiedMs1MassSpectrumBySpectrumDescr(), pappso::TimsDdaPrecursors::getQualifiedMs2MassSpectrumBySpectrumDescr(), pappso::TimsDdaPrecursors::getSpectrumDescrListByFrameId(), pappso::TimsDdaPrecursors::getSpectrumDescrWithPrecursorId(), pappso::TimsDdaPrecursors::getSpectrumDescrWithScanCoordinates(), and pappso::TimsDdaPrecursors::ms2ReaderSpectrumCollectionByMsLevel().

## ms2_index

std::size_t pappso::TimsDdaPrecursors::SpectrumDescr::ms2_index = 0

Definition at line 69 of file timsddaprecursors.h.

Referenced by pappso::TimsDdaPrecursors::fillSpectrumDescriptionWithSqlRecord(), pappso::TimsDdaPrecursors::getQualifiedMs1MassSpectrumBySpectrumDescr(), pappso::TimsDdaPrecursors::getQualifiedMs2MassSpectrumBySpectrumDescr(), pappso::TimsDdaPrecursors::getSpectrumDescrListByFrameId(), pappso::TimsDdaPrecursors::getSpectrumDescrWithPrecursorId(), pappso::TimsDdaPrecursors::getSpectrumDescrWithScanCoordinates(), pappso::TimsDdaPrecursors::ms2ReaderSpectrumCollectionByMsLevel(), pappso::TimsMsRunReaderMs2::qualifiedMassSpectrum(), and pappso::TimsMsRunReaderMs2Selected::qualifiedMassSpectrum().

## parent_frame

std::size_t pappso::TimsDdaPrecursors::SpectrumDescr::parent_frame = 0

Definition at line 64 of file timsddaprecursors.h.

Referenced by pappso::TimsDdaPrecursors::fillSpectrumDescriptionWithSqlRecord(), pappso::TimsDdaPrecursors::getQualifiedMs1MassSpectrumBySpectrumDescr(), pappso::TimsDdaPrecursors::getQualifiedMs2MassSpectrumBySpectrumDescr(), pappso::TimsDdaPrecursors::getSpectrumDescrListByFrameId(), pappso::TimsDdaPrecursors::getSpectrumDescrWithPrecursorId(), pappso::TimsDdaPrecursors::getSpectrumDescrWithScanCoordinates(), pappso::TimsDdaPrecursors::ms2ReaderSpectrumCollectionByMsLevel(), and pappso::TimsDdaPrecursors::rawReaderSpectrumCollectionByMsLevel().

## precursor_id

std::size_t pappso::TimsDdaPrecursors::SpectrumDescr::precursor_id = 0

Definition at line 65 of file timsddaprecursors.h.

Referenced by pappso::TimsDdaPrecursors::fillSpectrumDescriptionWithSqlRecord(), pappso::TimsDdaPrecursors::getQualifiedMs1MassSpectrumBySpectrumDescr(), pappso::TimsDdaPrecursors::getQualifiedMs2MassSpectrumBySpectrumDescr(), pappso::TimsDdaPrecursors::getSpectrumDescrListByFrameId(), pappso::TimsDdaPrecursors::getSpectrumDescrWithPrecursorId(), pappso::TimsDdaPrecursors::getSpectrumDescrWithScanCoordinates(), pappso::TimsDdaPrecursors::ms2ReaderSpectrumCollectionByMsLevel(), and pappso::TimsDdaPrecursors::rawReaderSpectrumCollectionByMsLevel().

## precursor_ion_data

PrecursorIonData pappso::TimsDdaPrecursors::SpectrumDescr::precursor_ion_data

Definition at line 74 of file timsddaprecursors.h.

Referenced by pappso::TimsDdaPrecursors::fillSpectrumDescriptionWithSqlRecord(), pappso::TimsDdaPrecursors::getQualifiedMs2MassSpectrumBySpectrumDescr(), pappso::TimsDdaPrecursors::getSpectrumDescrListByFrameId(), pappso::TimsDdaPrecursors::getSpectrumDescrWithPrecursorId(), pappso::TimsDdaPrecursors::getSpectrumDescrWithScanCoordinates(), pappso::TimsDdaPrecursors::ms2ReaderSpectrumCollectionByMsLevel(), and pappso::TimsDdaPrecursors::rawReaderSpectrumCollectionByMsLevel().

## scan_mobility_end

std::size_t pappso::TimsDdaPrecursors::SpectrumDescr::scan_mobility_end = 0

Definition at line 67 of file timsddaprecursors.h.

Referenced by pappso::TimsDdaPrecursors::fillSpectrumDescriptionWithSqlRecord(), pappso::TimsDdaPrecursors::getQualifiedMs1MassSpectrumBySpectrumDescr(), pappso::TimsDdaPrecursors::getQualifiedMs2MassSpectrumBySpectrumDescr(), pappso::TimsDdaPrecursors::getSpectrumDescrListByFrameId(), pappso::TimsDdaPrecursors::getSpectrumDescrWithPrecursorId(), pappso::TimsDdaPrecursors::getSpectrumDescrWithScanCoordinates(), pappso::TimsDdaPrecursors::ms2ReaderSpectrumCollectionByMsLevel(), and pappso::TimsDdaPrecursors::rawReaderSpectrumCollectionByMsLevel().

## scan_mobility_start

std::size_t pappso::TimsDdaPrecursors::SpectrumDescr::scan_mobility_start = 0

Definition at line 66 of file timsddaprecursors.h.

Referenced by pappso::TimsDdaPrecursors::fillSpectrumDescriptionWithSqlRecord(), pappso::TimsDdaPrecursors::getQualifiedMs1MassSpectrumBySpectrumDescr(), pappso::TimsDdaPrecursors::getQualifiedMs2MassSpectrumBySpectrumDescr(), pappso::TimsDdaPrecursors::getSpectrumDescrListByFrameId(), pappso::TimsDdaPrecursors::getSpectrumDescrWithPrecursorId(), pappso::TimsDdaPrecursors::getSpectrumDescrWithScanCoordinates(), pappso::TimsDdaPrecursors::ms2ReaderSpectrumCollectionByMsLevel(), and pappso::TimsDdaPrecursors::rawReaderSpectrumCollectionByMsLevel().

## tims_frame_list

std::vector<std::size_t> pappso::TimsDdaPrecursors::SpectrumDescr::tims_frame_list

Definition at line 73 of file timsddaprecursors.h.

Referenced by pappso::TimsDdaPrecursors::fillSpectrumDescriptionWithSqlRecord(), pappso::TimsDdaPrecursors::getQualifiedMs2MassSpectrumBySpectrumDescr(), pappso::TimsDdaPrecursors::getSpectrumDescrListByFrameId(), pappso::TimsDdaPrecursors::getSpectrumDescrWithPrecursorId(), pappso::TimsDdaPrecursors::getSpectrumDescrWithScanCoordinates(), and pappso::TimsDdaPrecursors::ms2ReaderSpectrumCollectionByMsLevel().

The documentation for this struct was generated from the following file:

- pappsomspp/core/vendors/tims/timsddaprecursors.h